diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/wp-cache-phase1.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/wp-cache-phase1.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/wp-cache-phase1.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/wp-cache-phase1.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 47,53 ****
  
  do_cacheaction( 'cache_init' );
  
! if (!$cache_enabled || $_SERVER["REQUEST_METHOD"] == 'POST') 
  	return true;
  
  $file_expired = false;
--- 47,53 ----
  
  do_cacheaction( 'cache_init' );
  
! if (!$cache_enabled || $_SERVER["REQUEST_METHOD"] == 'POST')
  	return true;
  
  $file_expired = false;
***************
*** 77,85 ****
  if ( $wp_cache_object_cache ) {
  	if ( ! include_once( WP_CONTENT_DIR . '/object-cache.php' ) )
  		return;
! 	
  	wp_cache_init(); // Note: wp-settings.php calls wp_cache_init() which clobbers the object made here.
! 	
  	if ( ! is_object( $wp_object_cache ) )
  		return;
  }
--- 77,85 ----
  if ( $wp_cache_object_cache ) {
  	if ( ! include_once( WP_CONTENT_DIR . '/object-cache.php' ) )
  		return;
! 
  	wp_cache_init(); // Note: wp-settings.php calls wp_cache_init() which clobbers the object made here.
! 
  	if ( ! is_object( $wp_object_cache ) )
  		return;
  }
***************
*** 135,141 ****
  		return false;
  	}
  
! 	if ( $wp_cache_object_cache && wp_cache_get_cookies_values() == '' ) { 
  		if ( !empty( $_GET ) ) {
  			if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Non empty GET request. Not serving request from object cache. " . print_r( $_GET, 1 ), 1 );
  			return false;
--- 135,141 ----
  		return false;
  	}
  
! 	if ( $wp_cache_object_cache && wp_cache_get_cookies_values() == '' ) {
  		if ( !empty( $_GET ) ) {
  			if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Non empty GET request. Not serving request from object cache. " . print_r( $_GET, 1 ), 1 );
  			return false;
***************
*** 187,221 ****
  			$wp_cache_home_path = '/';
  
  		// make sure ending slashes are ok
! 		if ( $wp_cache_request_uri == $wp_cache_home_path || ( $wp_cache_slash_check && substr( $wp_cache_request_uri, -1 ) == '/' ) || ( $wp_cache_slash_check == 0 && substr( $wp_cache_request_uri, -1 ) != '/' ) ) { 
  
  			if ( $wp_cache_mfunc_enabled == 0 ) {
  				// get data from file
  				if ( $wp_cache_gzip_encoding ) {
  					if ( file_exists( $file . '.gz' ) ) {
  						$cachefiledata = file_get_contents( $file . '.gz' );
! 						if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched gzip static page data from supercache file using PHP. File: $file.gz" ); 
  					} else {
  						$cachefiledata = gzencode( file_get_contents( $file ), 6, FORCE_GZIP );
! 						if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched static page data from supercache file using PHP and gzipped it. File: $file" ); 
  					}
  				} else {
  					$cachefiledata = file_get_contents( $file );
! 					if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched static page data from supercache file using PHP. File: $file" ); 
  				}
  			} else {
  				// get dynamic data from filtered file
! 				$cachefiledata = do_cacheaction( 'wpsc_cachedata', file_get_contents( $file ) ); 
  				if ( $wp_cache_gzip_encoding ) {
  					$cachefiledata = gzencode( $cachefiledata, 6, FORCE_GZIP );
! 					if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched dynamic page data from supercache file using PHP and gzipped it. File: $file" ); 
  				} else {
! 					if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched dynamic page data from supercache file using PHP. File: $file" ); 
  				}
  			}
  
  			if ( isset( $wp_cache_disable_utf8 ) == false || $wp_cache_disable_utf8 == 0 )
! 				header( "Content-type: text/html; charset=UTF-8" ); 
  
  			header( "Vary: Accept-Encoding, Cookie" );
  			header( "Cache-Control: max-age=3, must-revalidate" );
--- 187,221 ----
  			$wp_cache_home_path = '/';
  
  		// make sure ending slashes are ok
! 		if ( $wp_cache_request_uri == $wp_cache_home_path || ( $wp_cache_slash_check && substr( $wp_cache_request_uri, -1 ) == '/' ) || ( $wp_cache_slash_check == 0 && substr( $wp_cache_request_uri, -1 ) != '/' ) ) {
  
  			if ( $wp_cache_mfunc_enabled == 0 ) {
  				// get data from file
  				if ( $wp_cache_gzip_encoding ) {
  					if ( file_exists( $file . '.gz' ) ) {
  						$cachefiledata = file_get_contents( $file . '.gz' );
! 						if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched gzip static page data from supercache file using PHP. File: $file.gz" );
  					} else {
  						$cachefiledata = gzencode( file_get_contents( $file ), 6, FORCE_GZIP );
! 						if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched static page data from supercache file using PHP and gzipped it. File: $file" );
  					}
  				} else {
  					$cachefiledata = file_get_contents( $file );
! 					if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched static page data from supercache file using PHP. File: $file" );
  				}
  			} else {
  				// get dynamic data from filtered file
! 				$cachefiledata = do_cacheaction( 'wpsc_cachedata', file_get_contents( $file ) );
  				if ( $wp_cache_gzip_encoding ) {
  					$cachefiledata = gzencode( $cachefiledata, 6, FORCE_GZIP );
! 					if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched dynamic page data from supercache file using PHP and gzipped it. File: $file" );
  				} else {
! 					if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Fetched dynamic page data from supercache file using PHP. File: $file" );
  				}
  			}
  
  			if ( isset( $wp_cache_disable_utf8 ) == false || $wp_cache_disable_utf8 == 0 )
! 				header( "Content-type: text/html; charset=UTF-8" );
  
  			header( "Vary: Accept-Encoding, Cookie" );
  			header( "Cache-Control: max-age=3, must-revalidate" );
***************
*** 234,243 ****
  					$request = apache_request_headers();
  					$remote_mod_time = $request[ 'If-Modified-Since' ];
  				} else {
! 					$remote_mod_time = $_SERVER[ 'HTTP_IF_MODIFIED_SINCE' ];
  				}
  				$local_mod_time = gmdate("D, d M Y H:i:s",filemtime( $file )).' GMT';
! 				if ( $remote_mod_time == $local_mod_time ) {
  					header("HTTP/1.0 304 Not Modified");
  					exit();
  				}
--- 234,246 ----
  					$request = apache_request_headers();
  					$remote_mod_time = $request[ 'If-Modified-Since' ];
  				} else {
! 					if ( isset( $_SERVER[ 'HTTP_IF_MODIFIED_SINCE' ] ) )
! 						$remote_mod_time = $_SERVER[ 'HTTP_IF_MODIFIED_SINCE' ];
! 					else
! 						$remote_mod_time = 0;
  				}
  				$local_mod_time = gmdate("D, d M Y H:i:s",filemtime( $file )).' GMT';
! 				if ( $remote_mod_time != 0 && $remote_mod_time == $local_mod_time ) {
  					header("HTTP/1.0 304 Not Modified");
  					exit();
  				}
***************
*** 261,271 ****
  	}
  	foreach ($meta[ 'headers' ] as $t => $header) {
  		// godaddy fix, via http://blog.gneu.org/2008/05/wp-supercache-on-godaddy/ and http://www.littleredrails.com/blog/2007/09/08/using-wp-cache-on-godaddy-500-error/
! 		if( strpos( $header, 'Last-Modified:' ) === false ) 
  			header($header);
  	}
  	header( 'WP-Super-Cache: Served legacy cache file' );
! 	if ( $wp_cache_object_cache ) { 
  		if ( $cache ) {
  			if ( $ungzip ) {
  				// attempt to uncompress the cached file just in case it's gzipped
--- 264,274 ----
  	}
  	foreach ($meta[ 'headers' ] as $t => $header) {
  		// godaddy fix, via http://blog.gneu.org/2008/05/wp-supercache-on-godaddy/ and http://www.littleredrails.com/blog/2007/09/08/using-wp-cache-on-godaddy-500-error/
! 		if( strpos( $header, 'Last-Modified:' ) === false )
  			header($header);
  	}
  	header( 'WP-Super-Cache: Served legacy cache file' );
! 	if ( $wp_cache_object_cache ) {
  		if ( $cache ) {
  			if ( $ungzip ) {
  				// attempt to uncompress the cached file just in case it's gzipped
***************
*** 278,284 ****
  			}
  			if ( isset( $meta[ 'dynamic' ] ) && $meta[ 'dynamic' ] ) {
  				if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Serving wp-cache dynamic file from object cache", 5 );
! 				echo do_cacheaction( 'wpsc_cachedata', $cache ); 
  			} else {
  				if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Serving wp-cache static file from object cache", 5 );
  				echo $cache;
--- 281,287 ----
  			}
  			if ( isset( $meta[ 'dynamic' ] ) && $meta[ 'dynamic' ] ) {
  				if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Serving wp-cache dynamic file from object cache", 5 );
! 				echo do_cacheaction( 'wpsc_cachedata', $cache );
  			} else {
  				if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Serving wp-cache static file from object cache", 5 );
  				echo $cache;
***************
*** 296,307 ****
  				if ( $uncompressed ) {
  					if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Uncompressed gzipped cache file from wp-cache", 1 );
  					unset( $cache );
! 					echo do_cacheaction( 'wpsc_cachedata', $uncompressed ); 
  				} else {
! 					echo do_cacheaction( 'wpsc_cachedata', $cache ); 
  				}
  			} else {
! 				echo do_cacheaction( 'wpsc_cachedata', file_get_contents( $cache_file ) ); 
  			}
  		} else {
  			if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Serving wp-cache static file", 5 );
--- 299,310 ----
  				if ( $uncompressed ) {
  					if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Uncompressed gzipped cache file from wp-cache", 1 );
  					unset( $cache );
! 					echo do_cacheaction( 'wpsc_cachedata', $uncompressed );
  				} else {
! 					echo do_cacheaction( 'wpsc_cachedata', $cache );
  				}
  			} else {
! 				echo do_cacheaction( 'wpsc_cachedata', file_get_contents( $cache_file ) );
  			}
  		} else {
  			if ( isset( $wp_super_cache_debug ) && $wp_super_cache_debug ) wp_cache_debug( "Serving wp-cache static file", 5 );
***************
*** 335,341 ****
  function wp_cache_postload() {
  	global $cache_enabled, $wp_super_cache_late_init, $wp_super_cache_debug;
  
! 	if ( !$cache_enabled || isset( $_GET[ 'preview' ] ) )
  		return true;
  
  	if ( isset( $wp_super_cache_late_init ) && true == $wp_super_cache_late_init ) {
--- 338,344 ----
  function wp_cache_postload() {
  	global $cache_enabled, $wp_super_cache_late_init, $wp_super_cache_debug;
  
! 	if ( !$cache_enabled )
  		return true;
  
  	if ( isset( $wp_super_cache_late_init ) && true == $wp_super_cache_late_init ) {
***************
*** 393,399 ****
  			if ( is_array( $func ) ) {
  				$value = $func[0]->{$func[1]}( $value );
  			} else {
! 				$value = $func( $value ); 
  			}
  		}
  	}
--- 396,402 ----
  			if ( is_array( $func ) ) {
  				$value = $func[0]->{$func[1]}( $value );
  			} else {
! 				$value = $func( $value );
  			}
  		}
  	}
***************
*** 414,420 ****
  	return "mobile";
  }
  
! // From http://wordpress.org/extend/plugins/wordpress-mobile-edition/ by Alex King
  function wp_cache_check_mobile( $cache_key ) {
  	global $wp_cache_mobile_enabled, $wp_cache_mobile_browsers, $wp_cache_mobile_prefixes;
  	if ( !isset( $wp_cache_mobile_enabled ) || false == $wp_cache_mobile_enabled )
--- 417,423 ----
  	return "mobile";
  }
  
! // From http://wordpress.org/plugins/wordpress-mobile-edition/ by Alex King
  function wp_cache_check_mobile( $cache_key ) {
  	global $wp_cache_mobile_enabled, $wp_cache_mobile_browsers, $wp_cache_mobile_prefixes;
  	if ( !isset( $wp_cache_mobile_enabled ) || false == $wp_cache_mobile_enabled )
***************
*** 451,457 ****
  			return $cache_key . '-' . wp_cache_mobile_group( $user_agent );
  		}
  	}
! 	if (isset($_SERVER['HTTP_X_WAP_PROFILE']) ) 
  		return $cache_key . '-' . $_SERVER['HTTP_X_WAP_PROFILE'];
  	if (isset($_SERVER['HTTP_PROFILE']) )
  		return $cache_key . '-' . $_SERVER['HTTP_PROFILE'];
--- 454,460 ----
  			return $cache_key . '-' . wp_cache_mobile_group( $user_agent );
  		}
  	}
! 	if (isset($_SERVER['HTTP_X_WAP_PROFILE']) )
  		return $cache_key . '-' . $_SERVER['HTTP_X_WAP_PROFILE'];
  	if (isset($_SERVER['HTTP_PROFILE']) )
  		return $cache_key . '-' . $_SERVER['HTTP_PROFILE'];
***************
*** 589,595 ****
  
  	if ( $dir != '' && isset( $wp_cache_mobile_enabled ) && $wp_cache_mobile_enabled ) {
  		// open directory and look for index-*.html files
! 		if ( is_dir( $dir ) && $dh = opendir( $dir ) ) {
  			while ( ( $file = readdir( $dh ) ) !== false ) {
  				if ( substr( $file, 0, 6 ) == 'index-' && strpos( $file, '.html' ) )
  					$filenames[] = $file;
--- 592,598 ----
  
  	if ( $dir != '' && isset( $wp_cache_mobile_enabled ) && $wp_cache_mobile_enabled ) {
  		// open directory and look for index-*.html files
! 		if ( is_dir( $dir ) && $dh = @opendir( $dir ) ) {
  			while ( ( $file = readdir( $dh ) ) !== false ) {
  				if ( substr( $file, 0, 6 ) == 'index-' && strpos( $file, '.html' ) )
  					$filenames[] = $file;
***************
*** 657,663 ****
  
  function wp_supercache_cache_for_admins() {
  	if ( isset( $_GET[ 'preview' ] ) || function_exists( "is_admin" ) && is_admin() )
! 		return $cookies;
  
  	if ( false == do_cacheaction( 'wp_supercache_remove_cookies', true ) )
  		return true;
--- 660,666 ----
  
  function wp_supercache_cache_for_admins() {
  	if ( isset( $_GET[ 'preview' ] ) || function_exists( "is_admin" ) && is_admin() )
! 		return true;
  
  	if ( false == do_cacheaction( 'wp_supercache_remove_cookies', true ) )
  		return true;
